#! /usr/local/bin/python
from Numeric import *
import dislin

n = 101
x = arange (n, typecode=Float32) * 3.6
f = pi / 180.
y1 = sin (x * f)
y2 = cos (x * f)

dislin.metafl ('xwin')
dislin.disini ()
dislin.complx ()
dislin.pagera ()

dislin.axspos (450, 1800)
dislin.axslen (2200, 1200)

dislin.name   ('X-axis', 'X')
dislin.name   ('Y-axis', 'Y')

dislin.digits (-1, 'X')
dislin.ticks  (10, 'XY')

dislin.titlin ('Demonstration of CURVE', 1)
dislin.titlin ('Legend', 3)
 
dislin.graf   (0., 360., 0., 90., -1., 1., -1., 0.5)
dislin.title  ()

dislin.chncrv ('LINE')
dislin.curve  (x, y1, n)
dislin.curve  (x, y2, n)

cbuf = ' '                   
dislin.legini (cbuf, 2, 7)     # cbuf is a dummy parameter for python
nx = dislin.nxposn (190.)
ny = dislin.nyposn (0.75)
dislin.leglin (cbuf, 'sin (x)', 1)
dislin.leglin (cbuf, 'cos (x)', 2)
dislin.legpos (nx, ny)
dislin.legtit ('Legend')
dislin.legend (cbuf, 3)
dislin.disfin ()


